server:
  port: 14100
spring:
  application:
    name: base-server-${user.name}
  #配置中心配置
  cloud:
    config:
      #使用discovery 时需要将eureka 写到该文件中，开发环境使用该方式,推荐使用。
      discovery:
        enabled: true
        service-id: config
      name: initdata,gbase8s-base
      profile: dev
      username: configuser
      password: configpasd
      retry:
        max-attempts: 5
        max-interval: 2000
      #如果出现错误立刻停止服务。
      #fail-fast: true
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
#服务注册配置
eureka:
  client:
    service-url:
      defaultZone: http://127.0.0.1:11000/eureka/
  instance:
    prefer-ip-address: true
    status-page-url-path: /swagger-ui.html

mybatis:
  configuration:
    map-underscore-to-camel-case: true

#日志配置
logging:
  level:
    com.unis: debug
    root: warn
    org.springframework.web: debug
    org.hibernate: error
    com.unis.demo.controller: info
  path: ./log/

#外省粮库
otherProvGrDepots:
  91220183556362445W,911301816665851050,911311021097909319,91220183556362525G,91130183MA08TQPD9D
excel:
  #  template-directory-path: E:/localProLib/LiangShi/cbl-app/src/main/resources/excel-templates/
  template-directory-path: /Users/rising123sun/工作/ly/code/county-cbl-app/src/main/resources/excel-templates/
